ZF-11061: ext/mcrypt is only required by Zend_Service_ReCaptcha_MailHide

Issue Type: Docs: Problem Created: 2011-02-09T09:03:31.000+0000 Last Updated: 2011-03-06T07:47:58.000+0000 Status: Resolved Fix version(s): - 1.11.4 (03/Mar/11)

Reporter: John Flatness (zerocrates) Assignee: Ramon Henrique Ornelas (ramon) Tags: - Zend_Service_ReCaptcha

Related issues: Attachments:


The manual's requirements page lists ext/mcrypt as a hard dependency of Zend_Service_Recaptcha.

There's no mention or usage of mcrypt in the "normal" Zend_Service_Recaptcha code. It appears that mcrypt is only required if you use the Zend_Service_ReCaptcha_MailHide sub-component.

So, it seems like the requirements page should either list mcrypt as a "Soft" dependency, or as a hard dependency on the MailHide sub-component.


Posted by Ramon Henrique Ornelas (ramon) on 2011-02-19T13:06:35.000+0000

Fixed in trunk r23734 merged to branch release 1.11 r23735.

Posted by John Flatness (zerocrates) on 2011-02-22T07:34:00.000+0000

The committed change fixes the problem in requirements-php-extensions-table.xml, but not the reverse problem in requirements-zendcomponents-table.xml.

Posted by Ramon Henrique Ornelas (ramon) on 2011-03-06T07:47:57.000+0000

Done in trunk r23795 in the branch release r23796 - thanks.

Have you found an issue?

See the Overview section for more details.


© 2006-2016 by Zend, a Rogue Wave Company. Made with by awesome contributors.

This website is built using zend-expressive and it runs on PHP 7.